/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: GetRulePackageDelegate.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.rules.editor.business
{
import com.adobe.cairngorm.business.ServiceLocator;

import org.ow2.jasmine.kerneos.common.business.AbsDelegateResponder;
import org.ow2.jasmine.monitoring.eos.rules.editor.model.RuleEditorModelLocator;
import org.ow2.jasmine.monitoring.eos.rules.editor.model.domain.RuleEditorModel;
    
/**
* Calls the server side method to run the "get rule package" command
* through the right service
* 
* @author Julien Nicoulaud
*/
public class GetRulePackageDelegate extends AbsDelegateResponder
                                    implements IGetRulePackageDelegate
{

    /**
	* Get the rule package
    */
    public function getRulePackage(rulePackageSystemName:String,
                                   ruleEngineName:String) : void
    {
        // Retrieve the component model
        var model:RuleEditorModel = 
            RuleEditorModelLocator.getInstance().ruleEditorModel;
    	
        // Retrieve the service
        var service : Object = ServiceLocator.getInstance().getRemoteObject(model.serviceName);

        // Call the service
        var call : Object = service.getRulePackage(rulePackageSystemName,
                                                   ruleEngineName);

        // Add the responder as a listener for the answer of the java side
        call.addResponder( this.responder );
    }

}
}
