/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:RulesManagerModelLocator.as 2485 2008-09-30 14:14:35Z nicoulaj $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.rules.editor.model.presentation.editor.textual
{
import flash.sampler.*;

import mx.binding.utils.*;

import org.ow2.jasmine.monitoring.eos.rules.common.model.domain.SynchronizedRulePackage;
import org.ow2.jasmine.monitoring.eos.rules.common.vo.rulepackage.textual.ITextualRulePackageVO;
import org.ow2.jasmine.monitoring.eos.rules.editor.event.*;
import org.ow2.jasmine.monitoring.eos.rules.editor.model.presentation.editor.SynchronizedRulePackageEditorPM;
    
/**
* Presentation model for the textual rule editor
* 
* @author Julien Nicoulaud
*/
[Bindable]
public class TextualEditorPM extends SynchronizedRulePackageEditorPM
{

    // =========================================================================
    // Constructor
    // =========================================================================
    
    /**
    * Build the Presentation Model for an engine dashboard view
    */
	public function TextualEditorPM(editedSynchronizedRulePackage:SynchronizedRulePackage)
	{
	    // Call super class constructor
	    super(editedSynchronizedRulePackage);
	}
	
	
    // =========================================================================
    // Public methods
    // =========================================================================
    
    /**
    * Directly get the edited rule package
    * @internal Mandatory to allow data binding
    */
    public function get editedTextualRulePackage():ITextualRulePackageVO
    {
        return editedSynchronizedRulePackage.rulePackage as ITextualRulePackageVO;
    }
}
}
